/************************************************************************/
/* skyobject.h - skyobject header					*/
/************************************************************************/
/*
 *  (C)2004,2020 Todd Shadburn
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/************************************************************************/


#ifndef _SKYOBJECT_H_
#define _SKYOBJECT_H_


#include <stdint.h>
#include <gtc/gtc.h>
#include <gtc/gtcdef.h>


#define OBJECT_TYPE_STAR		1
#define OBJECT_TYPE_GALAXY		2
#define OBJECT_TYPE_OPENCLUSTER		3
#define OBJECT_TYPE_GLOBULARCLUSTER	4
#define OBJECT_TYPE_PLANETARYNEBULA	5
#define OBJECT_TYPE_DIFFUSEDNEBULA	6


typedef struct	_SkyObject	SkyObject;
struct _SkyObject {
	unsigned long		reserved1;
	unsigned long		type;
	double			magnitude;
	double			distance;
	char			*name;
	char			*description;
	char			*constellation;
	char			*size;
	char			*spectral;
	char			*sourceid;
	void			*objectdata;
	GtcRa			ra;
	GtcDec			dec;
	double			rapm;
	double			decpm;
};


#endif


